Subject: Re: bug#50960: [PATCH 00/10] Add 'guix shell' to subsume 'guix environment'

From: Ludovic Courtès <[email-masked]>
Date: Mon, 25 Oct 2021 20:25:15 +0200

Hi!

Ludovic Courtès <[email-masked]> skribis:

> This is v3 of the ‘guix shell’ patch set.  Changes since v2:
>
>   • Merged as a single commit the one that adds support for implicit
>     ‘guix.scm’/‘manifest.scm’ and then one that adds authorization
>     checks;
>
>   • Fixed ‘package-development-inputs’ bug/typo reported by zimoun;
>
>   • Fixed doc typos reported by Florian.
>
> If there are no objections, I’ll go ahead with this patch series
> in a few days.  I’ll also add a news entry, and I guess a blog post
> introducing it would be welcome.

I went ahead and pushed it, woohoo!

  4aa41a37f0 news: Add entry about "guix shell".
  9730692d9f shell: Maintain a profile cache.
  2cb0b3709a cache: Gracefully handle non-existent cache.
  3c96158438 environment: Autoload some modules.
  99499a2037 environment: Do not connect to the daemon when '--profile' is used.
  648a6eb03f environment: Skip derivation computation when '--profile' is used.
  10208952ea environment: Add tests for '--profile'.
  746584e0ca shell: By default load the local 'manifest.scm' or 'guix.scm' file.
  80edb7df65 Add 'guix shell'.
  23f99f1a29 profiles: Add 'package->development-manifest'.
  fb368f4e76 packages: Add 'package-development-inputs'.

I made minor changes:

  • addressing the issues zimoun reported (Bash completion and updating
    the “Debugging Failed Builds” node);

  • changing the order in which ‘guix shell’ without arguments looks for
    files, ‘manifest.scm’ first (because it’s the most expressive) and
    ‘guix.scm’ second, in case both are present (this was suggested by
    singpolyma on IRC¹).

Please report any issues you find!

There’s a draft blog post that I intend to publish tomorrow:

  https://git.savannah.gnu.org/cgit/guix/guix-artwork.git/tree/website/drafts/guix-environment-to-shell.md

Thanks everyone! 🎉

Ludo’.

¹ https://logs.guix.gnu.org/guix/2021-10-25.log#183552